//
// $Id: install.js,v 1.1 2001/01/08 16:04:52 cjh Exp $
//
// Language Pack installation script.
//

// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
	logComment("Insufficient disk space: " + dirPath);
	logComment("  required : " + spaceRequired + " K");
	logComment("  available: " + spaceAvailable + " K");
	return(false);
  }

  return(true);
}
var srDest = 262;
var err;
var fProgram;

// --- LOCALIZATION NOTE: translate only these ---
var prettyName = "Korean(Korea) Language Pack";
var regName	   = "locales/mozilla/ko-KR";
var chromeName = "ko-KR.jar";
// --- END LOCALIZABLE RESOURCES ---

err = initInstall(prettyName, regName, "5.0.0.0000000000"); 
logComment("initInstall: " + err);

fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);

if (verifyDiskSpace(fProgram, srDest))
{
	err = addDirectory("",
					   "5.0.0.0000000000",
					   "bin",
					   fProgram,
					   "",
					   true);
	logComment("addDirectory() returned: " + err);

	// register chrome
	var cf = getFolder("Chrome");
	registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/ko-KR/global/");
	registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/ko-KR/communicator/");
	registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/ko-KR/messenger/");
	registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/ko-KR/editor/");
	registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/ko-KR/navigator/");
	registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/ko-KR/necko/");

	if (err == SUCCESS)
	{
		err = performInstall(); 
		logComment("performInstall() returned: " + err);
	}
	else
	{
		cancelInstall(err);
		logComment("cancelInstall due to error: " + err);
	}
}
else
	cancelInstall(INSUFFICIENT_DISK_SPACE);
